public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/fail2ban/
Date: Wed, 27 Dec 2017 11:28:28 +0000 (UTC)	[thread overview]
Message-ID: <1514374107.bdf68cec78f2dc54e255677c16785cd778fcd5c0.jer@gentoo> (raw)

commit:     bdf68cec78f2dc54e255677c16785cd778fcd5c0
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 11:28:07 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 11:28:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bdf68cec

net-analyzer/fail2ban: Version bump (bug #627870 by Joe, patch by floppym).

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-analyzer/fail2ban/Manifest                         |  1 +
 ...fail2ban-99999999.ebuild => fail2ban-0.10.1.ebuild} | 18 +++++++++++++-----
 net-analyzer/fail2ban/fail2ban-99999999.ebuild         |  4 +++-
 3 files changed, 17 insertions(+), 6 deletions(-)

diff --git a/net-analyzer/fail2ban/Manifest b/net-analyzer/fail2ban/Manifest
index b2e14287711..6dadb26f74f 100644
--- a/net-analyzer/fail2ban/Manifest
+++ b/net-analyzer/fail2ban/Manifest
@@ -1,2 +1,3 @@
+DIST fail2ban-0.10.1.tar.gz 465197 BLAKE2B 1e9ed7d07f4565f49e6ebec9ba1ebbbb9835d2eab69d786672addbdf32b2d350a582927cf56722eea91c1420e2d0d7d7564c2739d412c33f639551fa83a7d4ad SHA512 80170082903b7d92732a7accd8ec5188f4b08b57ce46c2df9bc014771ab50602df2065abe87ccb890cfba41699f5441ebfe4648090ffcedb83e0374e509002f2
 DIST fail2ban-0.9.6.tar.gz 352145 BLAKE2B a529a7a1c78f29f457abc26215da015f7624f6d777571e96725775557725b6cbbfda5068e77520f1b3c20efcff07c11f210c5cca3ed47cf86c6f5e87c503052f SHA512 c09778d39741dc38d1073495a9f491012717d5ed04d28722f2ae6755104bdcc472baf06d33f500fed592b04c05277ba5cf74e527f1c0ed751108f4f1be22fa7e
 DIST fail2ban-0.9.7.tar.gz 356410 BLAKE2B 0dc83741825299236e70f6544155ccefea9682b6b62ee98087918433fe5c3795331bdbc92ee003ec794739d9a826293fd0c20518dd4c0c0bc5c6b963941d11d4 SHA512 117b2cad742636c84ddd1f7de04abb603a74893eae062bd19edcde70a7246bc02157b644ee7192e5bcbd4c45ff6c541d5c598846bdd2dcbab21b884c6402f94d

diff --git a/net-analyzer/fail2ban/fail2ban-99999999.ebuild b/net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
similarity index 85%
copy from net-analyzer/fail2ban/fail2ban-99999999.ebuild
copy to net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
index e847560915e..ffb03e0fe70 100644
--- a/net-analyzer/fail2ban/fail2ban-99999999.ebuild
+++ b/net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
@@ -2,18 +2,18 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 DISTUTILS_SINGLE_IMPL=1
 
-inherit distutils-r1 eutils systemd git-r3
+inherit distutils-r1 eutils systemd vcs-snapshot
 
 DESCRIPTION="scans log files and bans IPs that show malicious signs"
 HOMEPAGE="http://www.fail2ban.org/"
-EGIT_REPO_URI="https://github.com/${PN}/${PN}"
+SRC_URI="https://github.com/${PN}/${PN}/tarball/${PV} -> ${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
 IUSE="selinux systemd"
 
 # TODO support ipfw and ipfilter
@@ -46,6 +46,13 @@ python_prepare_all() {
 	distutils-r1_python_prepare_all
 }
 
+python_compile() {
+	if python_is_python3; then
+		./fail2ban-2to3 || die
+	fi
+	distutils-r1_python_compile
+}
+
 python_test() {
 	"${PYTHON}" "bin/${PN}-testcases" || die "tests failed with ${EPYTHON}"
 }
@@ -58,7 +65,8 @@ python_install_all() {
 	# not FILESDIR
 	newconfd files/gentoo-confd ${PN}
 	newinitd files/gentoo-initd ${PN}
-	systemd_dounit files/${PN}.service
+	sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > "${T}/${PN}.service" || die
+	systemd_dounit "${T}/${PN}.service"
 	systemd_dotmpfilesd files/${PN}-tmpfiles.conf
 	doman man/*.{1,5}
 

diff --git a/net-analyzer/fail2ban/fail2ban-99999999.ebuild b/net-analyzer/fail2ban/fail2ban-99999999.ebuild
index e847560915e..c55edd10429 100644
--- a/net-analyzer/fail2ban/fail2ban-99999999.ebuild
+++ b/net-analyzer/fail2ban/fail2ban-99999999.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 DISTUTILS_SINGLE_IMPL=1
 
 inherit distutils-r1 eutils systemd git-r3
@@ -59,6 +59,8 @@ python_install_all() {
 	newconfd files/gentoo-confd ${PN}
 	newinitd files/gentoo-initd ${PN}
 	systemd_dounit files/${PN}.service
+	sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > "${T}"/${PN}.service || die
+	systemd_dounit "${T}"/${PN}.service
 	systemd_dotmpfilesd files/${PN}-tmpfiles.conf
 	doman man/*.{1,5}
 


             reply	other threads:[~2017-12-27 11:28 UTC|newest]

Thread overview: 133+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-27 11:28 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-29  6:34 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/fail2ban/ Jakov Smolić
2024-08-29  6:34 Jakov Smolić
2024-08-29  6:34 Jakov Smolić
2024-08-29  5:10 Jakov Smolić
2024-08-29  5:10 Jakov Smolić
2024-08-29  3:15 Sam James
2024-07-17  5:14 Sam James
2024-07-17  5:14 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-06-01 22:19 Sam James
2024-05-28 11:52 Michał Górny
2024-04-28 23:28 Sam James
2024-04-19  6:39 Ionen Wolkens
2024-04-18 16:17 Arthur Zamarin
2024-04-18 16:16 Arthur Zamarin
2024-03-18 12:01 Jakov Smolić
2024-03-14  4:52 Sam James
2023-12-28  3:43 Sam James
2023-07-03 23:08 Sam James
2023-07-02 19:55 Sam James
2023-07-02 19:55 Sam James
2023-07-02 18:58 Sam James
2023-07-02 18:58 Sam James
2023-05-01 12:49 Sam James
2023-03-04  5:47 Arthur Zamarin
2023-02-27  9:02 WANG Xuerui
2023-02-27  9:02 WANG Xuerui
2023-02-27  9:02 WANG Xuerui
2023-02-22 16:21 Sam James
2022-11-25  5:04 Sam James
2022-11-10  6:21 Sam James
2022-09-27 17:57 Sam James
2022-02-20  5:51 Sam James
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-02  7:25 Sam James
2022-01-31  1:26 Sam James
2022-01-30 22:26 Sam James
2022-01-29 21:42 Jakov Smolić
2022-01-29 21:42 Jakov Smolić
2022-01-25 21:25 Sam James
2022-01-23 15:20 Sam James
2022-01-20 13:16 Jakov Smolić
2022-01-20 13:16 Jakov Smolić
2022-01-04 20:45 Sam James
2021-09-16  6:29 Sam James
2021-05-14 17:22 Sam James
2021-03-23  4:53 Sam James
2021-03-17  1:44 Sam James
2021-01-02 11:11 Sam James
2021-01-02 11:11 Sam James
2020-12-29 23:41 Sam James
2020-12-28  4:58 Sam James
2020-12-28  4:58 Sam James
2020-12-28  4:58 Sam James
2020-12-21 22:52 Sam James
2020-12-13  5:35 Sam James
2020-12-12 23:29 Sam James
2020-12-03  6:49 Sam James
2020-11-20 13:44 Sam James
2020-08-14 23:22 Andreas Sturmlechner
2020-05-02  0:40 Patrick McLean
2020-04-28  7:35 Jeroen Roovers
2020-04-28  7:35 Jeroen Roovers
2020-04-27 11:40 Agostino Sarubbo
2020-04-27 11:40 Agostino Sarubbo
2020-04-27 11:39 Agostino Sarubbo
2020-04-27 11:39 Agostino Sarubbo
2020-04-27  8:14 Agostino Sarubbo
2020-04-27  8:13 Agostino Sarubbo
2020-04-08 16:07 Jeroen Roovers
2020-02-09 16:47 Michał Górny
2020-02-05 20:47 Michał Górny
2020-01-12  9:01 Jeroen Roovers
2020-01-11 23:11 Jeroen Roovers
2020-01-10 13:20 Jeroen Roovers
2020-01-10 13:20 Jeroen Roovers
2019-12-30 12:59 Michał Górny
2019-06-10  5:32 Jeroen Roovers
2019-04-21 12:54 Jeroen Roovers
2019-03-27 10:22 Jeroen Roovers
2019-03-27 10:06 Jeroen Roovers
2019-03-27 10:03 Jeroen Roovers
2019-03-27  9:45 Jeroen Roovers
2019-02-02 14:34 Jeroen Roovers
2019-01-01  6:19 Jeroen Roovers
2019-01-01  6:19 Jeroen Roovers
2018-12-13  0:18 Jeroen Roovers
2018-11-02 16:42 Jeroen Roovers
2018-10-02 19:59 Jeroen Roovers
2018-07-11 13:34 Mikle Kolyada
2018-06-27 17:23 Tobias Klausmann
2018-06-27  6:25 Sergei Trofimovich
2018-06-24  0:05 Jeroen Roovers
2018-04-06  5:30 Jeroen Roovers
2018-04-06  5:25 Jeroen Roovers
2018-04-06  5:25 Jeroen Roovers
2018-01-22 15:02 Jeroen Roovers
2018-01-22 15:02 Jeroen Roovers
2017-12-20  2:52 Jeroen Roovers
2017-05-14  9:36 Jeroen Roovers
2017-05-14  9:31 Jeroen Roovers
2017-02-28 11:22 Tobias Klausmann
2017-02-25 10:03 Agostino Sarubbo
2017-02-24 14:07 Agostino Sarubbo
2017-02-24  0:34 Michael Weber
2017-02-23 23:15 Jeroen Roovers
2017-02-23 16:30 Agostino Sarubbo
2017-02-23 15:55 Agostino Sarubbo
2016-12-15 22:18 Jeroen Roovers
2016-07-21  6:39 Jeroen Roovers
2016-04-12  5:43 Jeroen Roovers
2016-03-23 23:25 Patrick McLean
2016-03-23 16:03 Mike Frysinger
2016-03-19 21:24 Patrice Clement
2016-03-09 14:22 Patrice Clement
2016-03-09 14:22 Patrice Clement
2016-03-09 14:22 Patrice Clement
2016-03-09 14:22 Patrice Clement
2016-03-09  1:56 Jeroen Roovers
2016-02-14 17:29 Markus Meier
2016-02-13 15:33 Agostino Sarubbo
2016-02-13  8:22 Jeroen Roovers
2016-02-13  8:06 Jeroen Roovers
2016-01-29  9:29 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1514374107.bdf68cec78f2dc54e255677c16785cd778fcd5c0.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox